<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Teams KW</title>
    
    <!-- Compiled and minified CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">

    <!-- Compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>

    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
</head>
<body>
  <div class="navbar-fixed">
    <nav>
      <div class="nav-wrapper container">
        <a href="#!" class="brand-logo">Teams KW</a>
        <ul class="right hide-on-med-and-down">
          <li style="margin-right: 10px;"><?php
            session_start();
            if (!$_SESSION["username"]) {
              $host  = $_SERVER['HTTP_HOST'];
              header("Location: http://$host");
            }
            else{
              echo "Selamat datang ".$_SESSION["username"];
            }
          ?></li>
          <li><a href="/">Keluar</a></li>
        </ul>
      </div>
    </nav>
  </div>
    <div class="row container">
        <?php
            $servername = "localhost";
            $username = "root";
            $password = "";
            $dbname = "teamkw";

            // Create connection
            $conn = mysqli_connect($servername, $username, $password, $dbname);
            // Check connection
            if (!$conn) {
              die("Connection failed: " . mysqli_connect_error());
            }

            $sql = "SELECT * FROM messages where id_parent = 0";
            $result = mysqli_query($conn, $sql);

            if (mysqli_num_rows($result) > 0) {
              // output data of each row
              while($row = mysqli_fetch_assoc($result)) {
                echo '<hr style="display: flex;"/>';
                echo '<div class="col s12">
                    <div class="card">
                      <div class="card-content">
                        <span class="card-title">'.$row["username"].'</span>
                        <p>'.$row["timestamp"].'</p>
                        <blockquote>
                        '.$row["message"].'
                        </blockquote>
                      </div>
                      <div class="card-action">
                        <a class="modal-trigger" href="#replies'.$row["id"].'">Reply</a>
                      </div>
                    </div>
                  </div>
                  
                  <div id="replies'.$row["id"].'" class="modal">
                    <form action="postMessage.php" method="post">
                      <div class="modal-content">
                          <h4>Balas pesan ini</h4>
                          <div class="input-field col s6">
                            <i class="material-icons prefix">mode_edit</i>
                            <textarea name="message" id="icon_prefix2" class="materialize-textarea"></textarea>
                            <label for="icon_prefix2">Balas '.$row["username"].'</label>
                          </div>
                          <input name=parent value="'.$row["id"].'" style="display: none;" type="text"/>
                      </div>
                      <div class="modal-footer">
                          <input class="btn" type="submit"></input>
                      </div>
                    </form>
                  </div>
                  ';
                  
                  $sql2 = "SELECT * FROM messages where id_parent = ".$row["id"];
                  $replies = mysqli_query($conn, $sql2);
                  while ($reply = mysqli_fetch_assoc($replies)) {
                    echo '
                    <div style="padding-left: 60px;" class="col s12">
                      <div class="card">
                        <div class="card-content">
                          <span class="card-title">'.$reply["username"].'</span>
                          <p>'.$row["timestamp"].'</p>
                          <blockquote>
                          '.$row["message"].'
                          </blockquote>
                        </div>
                      </div>
                    </div>';
                  }
              }
            } else {
              echo "<h3>Belum ada post</h3>";
            }

            mysqli_close($conn);
        ?>
    </div>
    <!-- New Post Button -->
    <a style="position: fixed; bottom: 30px; right: 30px" href="#newpost" class="btn-floating btn-large waves-effect waves-light red modal-trigger"><i class="material-icons">add</i></a>

    <!-- Modal Structure -->
    <div id="newpost" class="modal">
      <form action="postMessage.php" method="post">
        <div class="modal-content">
            <h4>Buat Pesan Baru</h4>
            <div class="input-field col s6">
              <i class="material-icons prefix">mode_edit</i>
              <textarea name="message" id="icon_prefix2" class="materialize-textarea"></textarea>
              <label for="icon_prefix2">Thread Baru</label>
            </div>
            <input name=parent value="null" style="display: none;" type="text"/>
        </div>
        <div class="modal-footer">
            <input class="btn" type="submit"></input>
        </div>
      </form>
    </div>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            var elems = document.querySelectorAll('.modal');
            var instances = M.Modal.init(elems);
        });
    </script>
</body>
</html>